# cortex-package-cache [![NPM version](https://badge.fury.io/js/cortex-package-cache.svg)](http://badge.fury.io/js/cortex-package-cache) [![Build Status](https://travis-ci.org/cortexjs/cortex-package-cache.svg?branch=master)](https://travis-ci.org/cortexjs/cortex-package-cache) [![Dependency Status](https://gemnasium.com/cortexjs/cortex-package-cache.svg)](https://gemnasium.com/cortexjs/cortex-package-cache)

<!-- description -->

## Installation

```bash
$ npm install cortex-package-cache --save
```

## Usage

```js
var cache = require('cortex-package-cache')(root);

cache.get('neuron', function(pkg){
  // `pkg` is the registry document of neuron
});
```

### cache.pkg(name, callback)

### cache.headers(name, callback)

### cache.tarball(name, version, callback)

- callback `function(file)`

### cache.shasum(name, version, callback)

### cache.savePkg(name, pkg, callback)

### cache.saveHeaders(name, headers, callback)

### cache.saveTarball(name, version)

### cache.saveShasum(name, version, shasum, callback)

## Licence

MIT
<!-- do not want to make nodeinit to complicated, you can edit this whenever you want. -->